<!-- Toolbar -->
<mat-toolbar color="primary" class="mat-elevation-z8">
  <div><img src="../assets/images/ktb-logo-white.png" height="60px" /></div>
  <button mat-icon-button class="nav-tool-items" (click)="sidenav.toggle()" alt="เมนูหลัก">
    <mat-icon *ngIf="!this.opened" alt="เปิดเมนูหลัก">menu</mat-icon>
    <mat-icon *ngIf="this.opened" alt="ปิดเมนูหลัก">close</mat-icon>
  </button>

  <span style="font-size: 16px">ระบบงาน Electronic Planning and Processing for P2P (EPP)</span>
  <span class="toolbar-spacer"></span>
  <button mat-icon-button class="example-icon notifications-icon" matTooltip="Notofications" [matMenuTriggerFor]="menu" aria-label="Example icon-button with heart icon">
    <mat-icon matBadge="8" matBadgeColor="warn">notifications</mat-icon>
  </button>
  <mat-menu #menu="matMenu">
    <button mat-menu-item>
      <mat-icon matBadge="4" matBadgeColor="warn">work</mat-icon>
      <span>งานใหม่</span>
    </button>
    <button mat-menu-item>
      <mat-icon matBadge="4" matBadgeColor="warn">email</mat-icon>
      <span>email แจ้งเตือน</span>
    </button>
    <button mat-menu-item>
      <mat-icon>notifications_off</mat-icon>
      <span>Disable alerts</span>
    </button>
  </mat-menu>
  <span style="font-size: 12px">วันที่เข้าล่าสุด : {{ nowDate.toString() | thaidate: 'short' }}</span>
</mat-toolbar>

<mat-sidenav-container>
  <!-- *ngIf="currentUser.access_token"-->
  <mat-sidenav #sidenav="matSidenav" [mode]="isBiggerScreen() ? 'over' : 'side'" [(opened)]="opened" [fixedInViewport]="false" class="mat-elevation-z2">
    <!-- <img class="center avatarBig mat-elevation-z8" matTooltip="User Profile" src="../assets/images/user_3.jpg" alt="Avatar" /> -->
    <img class="center avatarBig mat-elevation-z8" src="{{ 'https://phonebook.krungthai/psbk/ImageServlet3?empno=' + currentUser.username }}" alt="Avatar" />

    <h5 class="name">{{ currentUser.firstName }} {{ currentUser.lastName }} ({{ currentUser.username }})</h5>
    <p class="designation">{{ currentUser.rankdescription }}</p>
    <p class="designation">{{ currentUser.costcenter }}</p>
    <!--<p class="designation"> {{ currentUser.role}}</p>-->
    <mat-divider></mat-divider>
    <app-menu-list (sidenavClose)="sidenav.close()"></app-menu-list>
    <!-- <app-menu-list-item (sidenavClose)="sidenav.close()"></app-menu-list-item> -->
  </mat-sidenav>

  <mat-sidenav-content class="mat-elevation-z8">
    <!-- <div class="content ">     Main content    </div> -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
